SDL_DEFINE_PIXELFORMAT(3)

NAME
SDL_DEFINE_PIXELFORMAT - A macro for defining custom non-FourCC pixel formats.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_DEFINE_PIXELFORMAT(type, order, layout, bits, bytes) \
    ((1 << 28) | ((type) << 24) | ((order) << 20) | ((layout) << 16) | \
     ((bits) << 8) | ((bytes) << 0))

DESCRIPTION
For example, defining SDL_PIXELFORMAT_RGBA8888 looks like this:

        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_RGBA, SDL_PACKEDLAYOUT_8888, 32, 4)

MACRO PARAMETERS

type
    the type of the new format, probably a SDL_PixelType value.

order
    the order of the new format, probably a SDL_BitmapOrder, SDL_PackedOrder, or SDL_ArrayOrder value.

layout
    the layout of the new format, probably an SDL_PackedLayout value or zero.

bits
    the number of bits per pixel of the new format.

bytes
    the number of bytes per pixel of the new format.

RETURN VALUE
Returns a format value in the style of SDL_PixelFormat.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.